package aexp.customadapterxml;

import android.app.ListActivity;
import android.os.Bundle;
import android.widget.SimpleAdapter;
import android.view.Menu;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class CustomAdapterActivity extends ListActivity {

    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle icicle) {
       super.onCreate(icicle);
       setContentView(R.layout.main);
	   ArrayList<Weather> weatherList = new ArrayList<Weather>();
	   Weather w = new Weather( "London", 17, Weather.OVERCAST );
	   weatherList.add( w );
	   w = new Weather( "Paris", 22, Weather.OVERCAST );
	   weatherList.add( w );
	   w = new Weather( "Athens", 29, Weather.SUNNY );
	   weatherList.add( w );
	   w = new Weather( "Stockholm", 12, Weather.RAIN );
	   weatherList.add( w );
       WeatherAdapter weatherAdapter = new WeatherAdapter( 
				this,
				R.layout.weather_row,
				weatherList ); 
       setListAdapter( weatherAdapter );
    }
}
